// uniapp -> 小程序分享能力
export default {
	data() {
		return {
			//设置默认的分享参数
			share: {
				share_title: '快报嗨享平台',
				share_path: '/pages/index/index',
				share_imageUrl: '',
				share_desc: '',
				share_content: ''
			}
		}
	},
	onShareAppMessage(res) {
		return {
			// title: this.share.share_title,
			// path: this.share.share_path,
			// imageUrl: this.share.share_imageUrl,
			// desc: this.share.share_desc,
			// content: this.share.share_content,
			// success(res) {
			// 	uni.showToast({
			// 		title: '分享成功'
			// 	})
			// },
			// fail(res) {
			// 	uni.showToast({
			// 		title: '分享失败',
			// 		icon: 'none'
			// 	})
			// }
		}
	},
	//分享到朋友圈
	onShareTimeline(res) {
		return {
			// title: this.share.share_title,
			// type: 0,
			// summary: "",
		}
	},
}
